<?php
/*
Plugin Name: IMSC Syndication Rockstar
Description: Automatically Syndicate Your Content to Popular Sites for Massive Authority, Increased Rankings, and Traffic
Plugin URI: http://imscplugins.com/plugins/syndicationrockstar
Author: Sean Donahoe - IM Success Center
Version: 1.6.3
Author URI: http://syndicationrockstar.com/
*/
if( !function_exists('add_action') ){
    header('Status: 404 Forbidden');
    header('HTTP/1.1 404 Forbidden');
    exit;
}
define('DEBUG', false);
if( !function_exists('curl_version'))
{
	 if(is_admin()){
        add_action('admin_head','SRaddDashboardAlertCurl');
    }
}
// set priority plugin //
$imscpriority = has_action( 'plugins_loaded', 'imscload_importers');
if ($imscpriority == '') $imscpriority = 10;
add_action( 'imscload_importers', 'imscload_ext_importers', $imscpriority + 1); 
function imscload_ext_importers()
{
	$wp_path_to_this_file = preg_replace('/(.*)plugins\/(.*)$/', WP_PLUGIN_DIR."/$2", __FILE__);
    $this_plugin = plugin_basename(trim($wp_path_to_this_file));
    $active_plugins = get_option('active_plugins');
    $this_plugin_key = array_search($this_plugin, $active_plugins);
    if ($this_plugin_key) 
    {
		rsort($active_plugins);
        update_option('active_plugins', $active_plugins);
    }
}
if(!class_exists('ImscPluginsAutoUpdaterNotic'))
require_once 'syndicate/ImscPluginsAutoUpdaterNotic.php';
$wp_plugin_auto_update = new ImscPluginsAutoUpdaterNotic('http://syndicationrockstar.com/plugin/', 'stable', 'wpsr');
if (DEBUG) {
    // Enable update check on every request. Normally you don't need 
    // this! This is for testing only!
    set_site_transient('update_plugins', null);
    // Show which variables are being requested when query plugin API
    add_filter('plugins_api_result', array($wp_plugin_auto_update, 'print_api_result'), 10, 3);
}
// Take over the update check
add_filter('pre_set_site_transient_update_plugins', array($wp_plugin_auto_update, 'check_for_plugin_update'));
// Take over the Plugin info screen
add_filter('plugins_api', array($wp_plugin_auto_update, 'plugins_api_call'), 10, 3);
//Here's how you can add query arguments to the URL.
/*
function wpsr_addSecretKey($query)
{
   //$query['secret'] = 'foo';
    return $query;
}*/
//$wprs_updator->addQueryArgFilter('wpsr_addSecretKey');
// CHECK FOR IONCUBE LOADERS TO BE CERTAIN THE USER CAN LOAD THE PLUGIN
if(extension_loaded("IonCube Loader")){
    require ("wp-syndication-rockstar.php");
    register_activation_hook( __FILE__, array('SyndicationRockStar','on_activate' ) );
    register_deactivation_hook( __FILE__, array('SyndicationRockStar','on_deactivate' ) );
    register_uninstall_hook( __FILE__, array('SyndicationRockStar','on_uninstall' ) );
}
else
{
    if(is_admin()){
        add_action('admin_head','SRaddDashboardAlert');
    }
}
function SRaddDashboardAlertCurl()
{
?>	
    <script type="text/javascript">
        $k = jQuery;
        $k().ready(function(){
                $k('h2:contains("Dashboard")').parent().prev().after('<div class="update-nag"><strong>WARNING</strong> - Curl libraries not found, please ask your host to enable Curl libraries for your domain</div>');
            }
        );
    </script>
    <?php
}
function SRaddDashboardAlert(){?>
    <script type="text/javascript">
        $j = jQuery;
        $j().ready(function(){
                $j('h2:contains("Dashboard")').parent().prev().after('<div class="update-nag"><strong>WARNING</strong> - Syndication Rockstar Needs IonCube Loaders and Your Host Does Not Have These, <a href="http://syndicationrockstar.com/home/ioncube/" target="_blank">Please Click Here</a></div>');
     });
    </script>
<?php }