<?php

if ( !class_exists( "imsccore" ) )
{
    class imsccore
    {

        public $name;
        public $pref;
        public $menutitle;
        public $serverurl;
        public $authurl;
        public $memurl;
        public $state;
        public $email;
        public $authkey;
        public $levelnum;
        public $pluginfile;
        public $updateurl;
        public $pluginadmin;

        public function imsccore( $Info = array( 'pluginname' => "", 'pluginprefix' => "", 'pluginfile' => "", 'pluginadmin' => "", 'updateurl' => "", 'menutitle' => "", 'serverurl' => "", 'authlocation' => "", 'memberurl' => "" ) )
        {
            $wp_dir = __FILE__;
            $wp_dir = str_replace( "\\", "/", $wp_dir );
            $wp_dir = explode( "/", $wp_dir );
            $index = 0;
            while ( $index < 5 )
            {
                unset( $wp_dir[count( $wp_dir ) - 1] );
                ++$index;
            }
            $wp_dir = implode( "/", $wp_dir );
            include_once( $wp_dir."/wp-load.php" );
            $this->name = $Info['pluginname'];
            $this->pref = $Info['pluginprefix'];
            $this->menutitle = $Info['menutitle'];
            $this->serverurl = $Info['serverurl'];
            $this->authurl = $Info['authlocation'];
            $this->memurl = $Info['memberurl'];
            $this->pluginfile = $Info['pluginfile'];
            $this->updateurl = $Info['updateurl'];
            $this->pluginadmin = $Info['pluginadmin'];
            add_filter( "http_request_args", array( $this, "updates_exclude" ), 5, 2 );
            register_activation_hook( $this->pluginfile, array( $this, "check_activation" ) );
            add_action( $this->pref."check_event", array( $this, "check_update" ) );
            register_deactivation_hook( $this->pluginfile, array( $this, "check_deactivation" ) );
            $this->state = $this->pref."activation_state";
            $this->email = $this->pref."email";
            $this->authkey = $this->pref."authkey";
            $this->levelnum = $this->pref."levelnum";
            add_action( "init", array( $this, "init" ) );
            if ( get_option( $this->state ) != "true" )
            {
                add_action( "admin_menu", array( $this, "admin_menu" ) );
            }
            add_filter( "cron_schedules", array( $this, "add_12hours_cron" ) );
            register_activation_hook( __FILE__, array( $this, "CheckCron" ) );
            add_action( $this->pref."12hours_event", array( $this, "VerifyLicense" ) );
        }

        public function init( )
        {
            $this->CheckCron( );
            wp_enqueue_script( "jquery" );
            if ( isset( $_POST['act'] ) && $_POST['act'] == $this->pref."install_license" )
            {
                if ( !isset( $_POST['email'] ) || !isset( $_POST['authkey'] ) || $_POST['email'] == "" || $_POST['authkey'] == "" )
                {
                    $msg = "Please enter email and authorization key";
                    echo "failure:<div class=\"error\"><p>".$msg."</p></div><br />";
                    exit( );
                }
                else
                {
                    if ( $this->VerifyLicense( $_POST['email'], $_POST['authkey'] ) )
                    {
                        echo "success:Thanks! The ".$this->name." has been activated. <a href='".$this->pluginadmin."'>Click here to go to the admin panel...</a>\r\n";
                        exit( );
                    }
                    else
                    {
                        echo "failure:<div class=\"error\"><p>".__( "Sorry, the API key was incorrect.", "" )."</p></div><br />";
                        exit( );
                    }
                }
            }
        }

        public function admin_menu( )
        {
            add_menu_page( $this->menutitle, $this->menutitle, "administrator", $this->pref."install_license", array( $this, "menupage" ) );
        }

        public function ActivationMessage( $ShowActive = false )
        {
            $msg = "";
            if ( get_option( $this->state ) != "true" )
            {
                $msg = "<p><strong>Notice: - </strong>You need to <a href=\"admin.php?page=".$this->pref."install_license\" style=\"color: blue;\">Activate</a> Your Copy of ".$this->name.", before it can be used </p>";
            }
            else if ( $ShowActive )
            {
                $msg = "<p>".$this->name." is Activated </p>";
            }
            if ( $msg != "" )
            {
                echo "<div id=\"message\" class=\"updated fade\">".$msg."</div>";
            }
        }

        public function menupage( )
        {
            $this->ActivationMessage( true );
            if ( get_option( $this->email ) == "-1" )
            {
                update_option( $this->email, "" );
            }
            if ( get_option( $this->authkey ) == "-1" )
            {
                update_option( $this->authkey, "" );
            }
            echo "<div id=\"error\"></div>\n<div class=\"dvlicense\">\n    <h1>Please Activate Your Copy of ";
            echo $this->name;
            echo "</h1>\n    ";
            echo "<s";
            echo "trong>Note - </strong> If you have spare licenses available we will automatically add this domain \"";
            echo $_SERVER['SERVER_NAME'];
            echo "\" to your license pool<br /><br />\n    <form id=\"actform\" method=\"post\">\n        <table>\n            <tr>\n                <th>Email address:</th>\n                <td><input type=\"password\" readonly name=\"email\" value=\"";
            echo "www@blackhatteam.com";
            echo "\" /></td>\n            </tr>\n            <tr>\n                <th>Authorization key:</th>\n                <td>\n                    <input type=\"password\" readonly name=\"authkey\" value=\"";
            echo "EB76aRnzZxjhhRd37ZbaPYkWt5r9GeCmb6T";
            echo "\" />\n                    <a class=\"forgot\" rel=\"nofollow\" target=\"blank\" href=\"";
            echo "http://blankrefer.com/?http://adsensefirestorm.com/wp-login.php?action=lostpassword";
            echo "\">Forgot Your Details? Click Here</a>\n                </td>\n            </tr>\n            <tr>\n                <th></th>\n                <td>\n                    <input type=\"hidden\" name=\"act\" value=\"";
            echo $this->pref;
            echo "install_license\" />\n                    <input type=\"submit\" id=\"btnsubmit\" name=\"btnsubmit\" value=\"Activate Now\" />\n                </td>\n            </tr>\n        </table>\n    </form>\n</div>\n";
            echo "<s";
            echo "tyle>\n.dvlicense{\n    \n}\n\n.dvlicense table th{\n    width: 200px;\n    text-align: left;\n    font-weight: bold;\n    vertical-align: top;\n    font-size: 12px;\n}\n\n.dvlicense table td input[type=\"text\"]{\n    width: 300px;\n}\n.dvlicense table td .forgot{\n    display: block;\n    text-align: right;\n    color: blue;\n    text-decoration: none;\n    font-weight: bold;\n    font-size: 12px;\n}\n.dvlicense table td";
            echo " #btnsubmit{\n    float: right;\n    font-size: 12px;\n}\n</style>\n";
            echo "<s";
            echo "cript>\n    var j = jQuery;\n    \n    j(document).ready(function(){\n        j(\"#actform\").submit( function () { \n            j(\"#btnsubmit\").val(\"Activating please wait.....\");\n            j(\"#btnsubmit\").attr(\"disabled\", 'true');\n            \n            j.ajax({\n                type: \"POST\",\n                data : j(this).serialize(),\n                cache: false,\n                url: \"";
            echo admin_url( "admin.php?page=".$this->pref."install_license" );
            echo "\",\n                success: function(data){\n                    if(data.indexOf(\"success:\") >= 0){\n                        data = data.replace(\"success:\", \"\");\n                        j(\"#message\").html('<p>'+data+'<br /></p>');\n                        j(\"#error\").html(\"\");\n                        //alert(data);\n                        window.location.href = \"";
            echo $this->pluginadmin;
            echo "\"; \n                    }else{\n                        //alert(data);\n                        j(\"#error\").html(data.replace(\"failure:\", \"\"));\n                        j(\"#message\").html('<p>";
            echo "<s";
            echo "trong>Notice: - </strong> ";
            echo $this->name;
            echo " needs to be ";
            echo "<s";
            echo "pan style=\"color: blue;\">Activated</span> before it can be used<br /></p>');\n                    }\n                    \n                    j(\"#btnsubmit\").val(\"Activate Plugin\");\n                    j(\"#btnsubmit\").removeAttr(\"disabled\");\n                }\n            });\n            return false;\n        });\n    });\n</script>\n";
        }

        public function CheckLicense( $ShowMessage = false )
        {
            if ( $ShowMessage )
            {
                $this->ActivationMessage( );
            }
            if ( get_option( $this->state ) != "true" )
            {
                return false;
            }
            return true;
        }

        public function GetLevelNo( )
        {
            $LevelNo = 0;
            if ( $this->CheckLicense( ) )
            {
                $LevelNo = "3";
            }
            return $LevelNo;
        }

        public function add_12hours_cron( $schedules )
        {
            $schedules['12hours'] = array( "interval" => 43200, "display" => __( "Once in 12 Hours" ) );
            return $schedules;
        }

        public function CheckCron( )
        {
            $hook = $this->pref."12hours_event";
            if ( !wp_get_schedule( $hook ) )
            {
                wp_schedule_event( current_time( "timestamp" ), "12hours", $hook );
            }
        }

        public function VerifyLicense( $email = "-1", $authkey = "-1" )
        {
            $msg = "";
            $activated = false;
            if ( get_option( $this->email, "" ) != "" && $email == "-1" )
            {
                $email = get_option( $this->email );
            }
            if ( get_option( $this->authkey, "" ) != "" && $authkey == "-1" )
            {
                $authkey = get_option( $this->authkey );
            }
			update_option( $this->state, "true" );
            update_option( $this->email, $email );
            update_option( $this->authkey, $authkey );
            update_option( $this->levelnum, "3" );
			$activated = true;
            return $activated;
        }

        public function updates_exclude( $r, $url )
        {
            if ( 0 !== strpos( $url, "http://api.wordpress.org/plugins/update-check" ) )
            {
                return $r;
            }
            $plugins = unserialize( $r['body']['plugins'] );
            unset( $Var_312[plugin_basename( __FILE__ )] );
            unset( $Var_408[array_search( plugin_basename( __FILE__ ), $plugins->active )] );
            $r['body']['plugins'] = serialize( $plugins );
            return $r;
        }

        public function plugin_get( $i )
        {
            if ( !function_exists( "get_plugins" ) )
            {
                require_once( ABSPATH."wp-admin/includes/plugin.php" );
            }
            $plugin_folder = get_plugins( "/".plugin_basename( dirname( $this->pluginfile ) ) );
            $plugin_file = basename( $this->pluginfile );
            return $plugin_folder[$plugin_file][$i];
        }

        public function check_activation( )
        {
            wp_schedule_event( time( ), "twicedaily", array( $this, $this->pref."check_event" ) );
        }

        public function check_update( )
        {
            global $wp_version;
            $plugin_folder = plugin_basename( dirname( $this->pluginfile ) );
            $plugin_file = basename( $this->pluginfile );
            if ( defined( "WP_INSTALLING" ) )
            {
                return false;
            }
            $response = wp_remote_get( $this->updateurl );
            $url = explode( "|", $response['body'][1] );
            $version = explode( "|", $response['body'][0] );
            if ( $this->plugin_get( "Version" ) == $version )
            {
                return false;
            }
            $plugin_transient = get_site_transient( "update_plugins" );
            $a = array( "slug" => $plugin_folder, "new_version" => $version, "url" => $this->plugin_get( "AuthorURI" ), "package" => $url );
            $o = ( "object" );
            $plugin_transient->response[$plugin_folder."/".$plugin_file] = $o;
            set_site_transient( "update_plugins", $plugin_transient );
        }

        public function check_deactivation( )
        {
            wp_clear_scheduled_hook( $this->pref."check_event" );
        }

    }

}
?>
