<?php

require 'OAuthSimple.php';

$oauthObject = new OAuthSimple();

$output = 'Authorizing...';

$cOptions = new SyndicationRockStarOptions;

$options =$cOptions->cts_adm_syndrs_get_admin_options();



$signatures = array( 'consumer_key'     => $options['plurk_key'],

'shared_secret'    => $options['plurk_secret']);

// In step 3, a verifier will be submitted.  If it's not there, we must be

// just starting out. Let's do step 1 then.

if (!isset($_GET['oauth_verifier']))

{

	$result = $oauthObject->sign(array(

	'path'      =>'http://www.plurk.com/OAuth/request_token',

	'parameters'=> array(

	'oauth_callback'=> get_admin_url() . '/admin.php?page=wp-syndication-rockstar.php-accounts&tab=web&action=authorizePlurk'),

	'signatures'=> $signatures));

	// The above object generates a simple URL that includes a signature, the 

	// needed parameters, and the web page that will handle our request.  I now

	// "load" that web page into a string variable.

	$ch = curl_init();

	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

	curl_setopt($ch, CURLOPT_URL, $result['signed_url']);

	$r = curl_exec($ch);

	curl_close($ch);

	parse_str($r, $returned_items);

	$request_token = $returned_items['oauth_token'];

	$request_token_secret = $returned_items['oauth_token_secret'];

	update_option("oauth_token_secret", $request_token_secret);

	$result = $oauthObject->sign(array(

	'path'      =>'http://www.plurk.com/OAuth/authorize',

	'parameters'=> array(

	'oauth_token' => $request_token),

	'signatures'=> $signatures));

	// See you in a sec in step 3.

	echo "<meta http-equiv='refresh' content='0;url=$result[signed_url]' />";

	exit();

}

else {

	$signatures['oauth_secret'] = get_option('oauth_token_secret');

	$signatures['oauth_token'] = $_GET['oauth_token'];

	// Build the request-URL...

	$result = $oauthObject->sign(array(

	'path'      => 'http://www.plurk.com/OAuth/access_token',

	'parameters'=> array(

	'oauth_verifier' => $_GET['oauth_verifier'],

	'oauth_token'    => $_GET['oauth_token']),

	'signatures'=> $signatures));

	$ch = curl_init();

	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

	curl_setopt($ch, CURLOPT_URL, $result['signed_url']);

	$r = curl_exec($ch);

	parse_str($r, $returned_items);        

	$access_token = $returned_items['oauth_token'];

	$access_token_secret = $returned_items['oauth_token_secret'];

	$signatures['oauth_token'] = $access_token;

	$signatures['oauth_secret'] = $access_token_secret;

	$oauthObject->reset();

	$result = $oauthObject->sign(array(

	'path'      =>'http://www.plurk.com/APP/Profile/getOwnProfile',

	'parameters'=> array('orderby' => 'starttime'),

	'signatures'=> $signatures));

	curl_setopt($ch, CURLOPT_URL, $result['signed_url']);

	$output = "<p>Access Token: $access_token<BR>

	Token Secret: $access_token_secret</p>

	<p><a href='$result[signed_url]'>List of Calendars</a></p>";

	curl_close($ch);

	if($access_token && $access_token_secret)

	{

		update_option('access_token',$access_token);

		update_option('access_token_secret',$access_token_secret);

		

	}

	}        

?>